%define upstream_name    base
%define upstream_version 2.14

Name:       perl-pragma-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compile-time class fields
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Provides: perl(base)

%description
Unless you are using the 'fields' pragma, consider this module discouraged
in favor of the lighter-weight 'parent'.

Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Roughly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-1mdv2010.0
+ Revision: 395228
- import perl-pragma-base


* Sun Jul 12 2009 cpan2dist 2.14-1mdv
- initial mdv release, generated with cpan2dist
